Subject: [netext] FW: Needs of traffic spec. on MAG?

From: "Youn-Hee Han" <[email-masked]>
Date: Thu, 29 Jul 2010 22:01:29 +0900

Hello Carlos,

> > > If finer control is required (e.g., prevent the MN send flows
> > > through a MAG that is not the one the LMA has setup flow mobility
> > > state, or other purposes), then the flow mobility (traffic selector,
> > > e.g., 5-tuple) should be delivered to the MAG.
> >
> > Yes. If we want to support any finer control for flow mobility, IMHO,
> > we need to distinguish downlink flow from uplink flow.
> > Any type of flow, e.g., VoIP flow, has different 5-tuples for downlink
> and uplink.
> 
> different 5-tuple? why? it is just the same, but reversing source and
> destination, right?
> 
> Anyway, 5-tuple is just one way of specifying the flow, more ways can be
> considered, to also support different flow granularities.
> 

According to draft-ietf-mext-binary-ts-04 which is mentioned as one of 
traffic selector in your draft, source IP and destination IP (and source port 
and destination port) are clearly divided in individual fields of option.

Therefore, exactly speaking, the 5-tuple of downlink traffic is different 
from the one of uplink.

Do you mean that when an MAG receives an FMI message including
 one traffic selector (i.e., one 5-tuple), MAG will reverse the source and 
destination IP & Port and store the reversed information to the MAG's traffic 
filter module?

If not so, do you mean that the LMA itself sends the reversed information to MAG?

Otherwise, do you mean that the LMA sends to MAG two traffic selectors, the original 
and reversed ones?

Thanks,

Youn-Hee han